Bug 1459496 - labels next to checkboxes on Control Policies->Event Assignment page aren't clickable
labels next to checkboxes on Control Policies->Event Assignment page aren't c...
Status: VERIFIED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
low Severity low
: GA
: 5.9.0
Assigned To: Milan Zazrivec
Dmitry Misharov
ui:usability
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-07 05:58 EDT by Ievgen Zapolskyi
Modified: 2017-10-17 07:55 EDT (History)
7 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core
izapolsk: automate_bug-


Attachments (Terms of Use)

  None (edit)
Description Ievgen Zapolskyi 2017-06-07 05:58:25 EDT
Description of problem:
This is usability issue. Most UI allow to check/uncheck checkbox by clicking its label. That view has a lot of small checkboxes which can be set only by clicking checkbox itself. It ticks off when user needs to check several/many checkboxes there.
So, it would be good to make checkbox labels clickable there as everywhere in other User Interfaces. 

Version-Release number of selected component (if applicable):
5.8.0.17

How reproducible:
100%

Steps to Reproduce:
1. Open Control-> Explorer 
2. Click Policies Accordion and choose Control Policies ->Vm Control Policies
3. Add new Instance Control Policy and click it in order to update Configuration menu
4. Choose Configuration->Edit this Policy's Event assignments
5. Try to check/uncheck several/many events

Actual results:
it annoys that mouse pointer has to be always positioned over small checkbox.
Checkbox labels cannot be clicked.

Expected results:
Checkbox labels should be clickable and check/uncheck checkbox when clicked.
Comment 3 CFME Bot 2017-06-09 09:58:29 EDT
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/773fccff814e7311f1b2b76ce5fd65271ea221d1

commit 773fccff814e7311f1b2b76ce5fd65271ea221d1
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Thu Jun 8 16:22:13 2017 +0200
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Thu Jun 8 16:22:13 2017 +0200

    Clickable labels in policy's event assignment screen
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459496

 app/views/miq_policy/_policy_details.html.haml | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)
Comment 4 Dmitry Misharov 2017-10-17 07:55:54 EDT
Verified in 5.9.0.2.20171010190026_0413a06. Checkboxes are replaced by bootstrap switches.

Note You need to log in before you can comment on or make changes to this bug.